# Uses of Class
javafx.scene.text.HitInfo

Packages that use HitInfo
Package
Description
javafx.scene.control.skin
The javafx.scene.control.skin package is where the skin classes, typically one for each UI control, are located
javafx.scene.text
Provides the set of classes for fonts and renderable Text Node.

## Uses of HitInfo in javafx.scene.control.skin

Methods in javafx.scene.control.skin that return HitInfo
Modifier and Type
Method
Description
`HitInfo`
TextAreaSkin.`getIndex(double x, double y)`
Performs a hit test, mapping point to index in the content.
`HitInfo`
TextFieldSkin.`getIndex(double x, double y)`
Performs a hit test, mapping point to index in the content.
Methods in javafx.scene.control.skin with parameters of type HitInfo
Modifier and Type
Method
Description
`void`
TextAreaSkin.`positionCaret(HitInfo hit, boolean select)`
Moves the caret to the specified position.
`void`
TextFieldSkin.`positionCaret(HitInfo hit, boolean select)`
Moves the caret to the specified position.

## Uses of HitInfo in javafx.scene.text

Methods in javafx.scene.text that return HitInfo
Modifier and Type
Method
Description
`final HitInfo`
Text.`hitTest(Point2D point)`
Maps local point to index in the content.
`final HitInfo`
TextFlow.`hitTest(Point2D point)`
Maps local point to index in the content.